﻿Type=Activity
Version=2.02
FullScreen=False
IncludeTitle=True
@EndOfDesignText@
Sub Process_Globals
	Dim Mode As Int
	Dim Ret As Int
	Dim cEdit As Int		: cEdit = 0
	Dim cAdd As Int			: cAdd = 1
	Dim cInsert As Int	: cInsert = 2
End Sub

Sub Globals
	Dim lblTaskName, lblTaskComment As Label
	Dim edtTaskName, edtTaskComment As EditText
	Dim rbtIdent0, rbtIdent1 As RadioButton
	Dim ckbChecked As CheckBox
	Dim pnlToolBox As Panel
	Dim btnOK As Button
	Dim IME1 As IME
	
	Dim Ident As Int
End Sub

Sub Activity_Create(FirstTime As Boolean)
	IME1.Initialize("IME1")
	Activity.LoadLayout("Edit")
	UpdateLanguage
End Sub

Sub Activity_Resume
	Activity.Title = Main.ProgName & "  " & Main.ProgVersion
	Ret = 0
	Select Mode
	Case cEdit
		edtTaskName.Text = ToDoList.SelectedToDo.Name
		edtTaskComment.Text = ToDoList.SelectedToDo.Comment
		If ToDoList.SelectedToDo.Ident = 0 Then
			rbtIdent0.Checked = True
		Else
			rbtIdent1.Checked = True
		End If
		ckbChecked.Checked = ToDoList.SelectedToDo.Checked
	Case cInsert, cAdd
		edtTaskName.Text = ""
		edtTaskComment.Text = ""
		rbtIdent0.Checked = True			' left
		ckbChecked.Checked = False
		edtTaskName.RequestFocus
		IME1.ShowKeyboard(edtTaskName)
		edtTaskName.RequestFocus
		DoEvents
	End Select
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	If 	Ret = 1 Then
		Select Mode
		Case cEdit
			ToDoList.SelectedToDo.Name = edtTaskName.Text
			ToDoList.SelectedToDo.Comment = edtTaskComment.Text
			ToDoList.SelectedToDo.Checked = ckbChecked.Checked
			ToDoList.SelectedToDo.Ident = Ident
			Main.ToDo.Set(ToDoList.SelectedToDoIndex, ToDoList.SelectedToDo)
		Case cInsert
			Dim tod As ToDos1
			tod.Name = edtTaskName.Text
			tod.Comment = edtTaskComment.Text
			tod.Checked = ckbChecked.Checked
			tod.Ident = Ident
			ToDoList.SelectedToDo = tod
			ToDoList.SelectedToDoIndex = ToDoList.SelectedToDoIndex + 1
			Main.ToDo.InsertAt(ToDoList.SelectedToDoIndex, tod)
		Case cAdd
			Dim tod As ToDos1
			tod.Name = edtTaskName.Text
			tod.Comment = edtTaskComment.Text
			tod.Checked = ckbChecked.Checked
			tod.Ident = Ident
			Main.ToDo.Add(tod)
			ToDoList.SelectedToDo = tod
			ToDoList.SelectedToDoIndex = Main.ToDo.Size - 1
		End Select
		Main.ToDoChanged = True
	End If
End Sub

Sub rbtIdent_CheckedChange(Checked As Boolean)
	Dim rbt As RadioButton
	
	rbt = Sender
	Ident = rbt.Tag
	IME1.HideKeyboard
End Sub

Sub ckbChecked_CheckedChange(Checked As Boolean)
	IME1.HideKeyboard
End Sub

Sub btnOK_Click
	Ret = 1
	IME1.HideKeyboard
	Activity.Finish	
End Sub

Sub edtTaskName_FocusChanged (HasFocus As Boolean)
	If HasFocus = True Then
		IME1.ShowKeyboard(edtTaskName)
	Else
		IME1.HideKeyboard
	End If
End Sub

Sub edtTaskComment_FocusChanged (HasFocus As Boolean)
	If HasFocus = True Then
		IME1.ShowKeyboard(edtTaskComment)
	Else
		IME1.HideKeyboard
	End If
End Sub

Sub UpdateLanguage
	lblTaskName.Text = Main.Texts(17)
	lblTaskComment.Text = Main.Texts(18)
	rbtIdent0.Text = Main.Texts(19)
	rbtIdent1.Text = Main.Texts(20)
	ckbChecked.Text = Main.Texts(21)
End Sub
